
Katello - Bug #22961

re-vamp upgrade proccess to not require installer updates

03/21/2018 01:10 PM - Justin Sherrill

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Upgrades   

Target version: Katello Recycle Bin   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently any upgrade rake task requires an update to katello-installer.  There is a desire to change this such that all upgrade tasks

are managed by one upgrade task, something like "rake katello:upgrade"

This would handle all the knowledge about what upgrade tasks have run and which ones have not, and potentially allow the

re-running of tasks

Related issues:

Has duplicate Foreman - Refactor #21938: Single upgrade rake task Closed

Blocks Katello - Tracker #23927: Convert sync plans to Foreman Tasks Closed

History

#1 - 03/21/2018 05:40 PM - Justin Sherrill

- translation missing: en.field_release set to 349

#2 - 06/13/2018 08:50 PM - Justin Sherrill

- Blocks Tracker #23927: Convert sync plans to Foreman Tasks added

#3 - 06/19/2018 06:42 PM - Justin Sherrill

- Has duplicate Refactor #21938: Single upgrade rake task added

#4 - 06/19/2018 06:44 PM - Justin Sherrill

- Status changed from New to Duplicate

#5 - 08/07/2018 07:19 PM - Samir Jha

- Target version changed from Katello 3.8.0 to Katello Recycle Bin
